Ecran blanc - mise à jour vieux site

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
#1
Bonjour,

Je tente de mettre à jour un site déjà ancien (2011) en souhaitant ne pas brûler les étapes. Il est en 1.8.2 et j'essaie dans un premier temps de le passer en 1.9. J'aimerais ensuite le mettre à jour vers une des dernières versions.
La version php actuelle utilisée par le site est la 5.6.40.
Il est hébergé chez ovh (la version php 7.3 est disponible mais non activée).

Le problème est le suivant : quand je lance l'upgrade (en ayant suivi la procédure ici) je n'obtiens qu'un écran blanc sans information aucune ni réaction. L'adresse reste https://www.monsite/install/upgrade.php sans apporter aucune information.
J'ai accès à la page d'administration et bien entendu, rien n'a été modifié.
L'upgrade ne se lance tout bonnement pas.

Je me dis que c'est peut-être une impossibilité de modifier la BDD ? Mais on n'en est peut-être pas à cette étape au lancement de l'upgrade.
Puis-je essayer des versions plus récentes ?

Votre aide et vos conseils me seraient utiles Smile


----------------------------------------------
Cms Version: 1.8.2
Installed Modules:
  • CMSMailer: 2.0
  • FileManager: 1.0.2
  • MenuManager: 1.6.5
  • ModuleManager: 1.4
  • News: 2.10.6
  • nuSOAP: 1.0.2
  • Printing: 1.1.0
  • ThemeManager: 1.1.1
  • TinyMCE: 2.7.3
  • Calendar: 0.8.2
  • CGExtensions: 1.21.5
  • TemplateExternalizer: 1.2
  • FrontEndUsers: 1.12.12
  • CustomContent: 1.7.3
  • DewPlayer: 0.2.1
  • FeuCalendar: 0.1
  • FEU_Auth_Basic: 1.0
  • AjaxMadeSimple: 0.3.1
  • DynamicContent: 0.1
  • LightBox: 1.0.1
  • Timeline: 0.2
  • TreeManager: 0.6.0
Config Information:
  • php_memory_limit: 
  • process_whole_template: false
  • output_compression: false
  • max_upload_size: 64000000
  • default_upload_permission: 664
  • url_rewriting: none
  • page_extension: 
  • query_var: page
  • use_hierarchy: true
  • image_manipulation_prog: GD
  • auto_alias_content: true
  • locale: 
  • default_encoding: utf-8
  • admin_encoding: utf-8
  • set_names: true
Php Information:
  • phpversion: 5.6.40
  • md5_function: On (Vrai)
  • gd_version: 2
  • tempnam_function: On (Vrai)
  • magic_quotes_runtime: Off (Faux)
  • E_STRICT: 2048
  • E_DEPRECATED: 8192
  • memory_limit: 512M
  • max_execution_time: 300
  • output_buffering: On
  • safe_mode: Off (Faux)
  • file_uploads: On (Vrai)
  • post_max_size: 130M
  • upload_max_filesize: 128M
  • session_save_path: /tmp (0700)
  • session_use_cookies: On (Vrai)
  • xml_function: On (Vrai)
Server Information:
  • Server Api: cgi-fcgi
  • Server Db Type: MySQL (mysql)
  • Server Db Version: 5.5.30
----------------------------------------------
Répondre
#1
Bonjour,

Je tente de mettre à jour un site déjà ancien (2011) en souhaitant ne pas brûler les étapes. Il est en 1.8.2 et j'essaie dans un premier temps de le passer en 1.9. J'aimerais ensuite le mettre à jour vers une des dernières versions.
La version php actuelle utilisée par le site est la 5.6.40.
Il est hébergé chez ovh (la version php 7.3 est disponible mais non activée).

Le problème est le suivant : quand je lance l'upgrade (en ayant suivi la procédure ici) je n'obtiens qu'un écran blanc sans information aucune ni réaction. L'adresse reste https://www.monsite/install/upgrade.php sans apporter aucune information.
J'ai accès à la page d'administration et bien entendu, rien n'a été modifié.
L'upgrade ne se lance tout bonnement pas.

Je me dis que c'est peut-être une impossibilité de modifier la BDD ? Mais on n'en est peut-être pas à cette étape au lancement de l'upgrade.
Puis-je essayer des versions plus récentes ?

Votre aide et vos conseils me seraient utiles Smile


----------------------------------------------
Cms Version: 1.8.2
Installed Modules:
  • CMSMailer: 2.0
  • FileManager: 1.0.2
  • MenuManager: 1.6.5
  • ModuleManager: 1.4
  • News: 2.10.6
  • nuSOAP: 1.0.2
  • Printing: 1.1.0
  • ThemeManager: 1.1.1
  • TinyMCE: 2.7.3
  • Calendar: 0.8.2
  • CGExtensions: 1.21.5
  • TemplateExternalizer: 1.2
  • FrontEndUsers: 1.12.12
  • CustomContent: 1.7.3
  • DewPlayer: 0.2.1
  • FeuCalendar: 0.1
  • FEU_Auth_Basic: 1.0
  • AjaxMadeSimple: 0.3.1
  • DynamicContent: 0.1
  • LightBox: 1.0.1
  • Timeline: 0.2
  • TreeManager: 0.6.0
Config Information:
  • php_memory_limit: 
  • process_whole_template: false
  • output_compression: false
  • max_upload_size: 64000000
  • default_upload_permission: 664
  • url_rewriting: none
  • page_extension: 
  • query_var: page
  • use_hierarchy: true
  • image_manipulation_prog: GD
  • auto_alias_content: true
  • locale: 
  • default_encoding: utf-8
  • admin_encoding: utf-8
  • set_names: true
Php Information:
  • phpversion: 5.6.40
  • md5_function: On (Vrai)
  • gd_version: 2
  • tempnam_function: On (Vrai)
  • magic_quotes_runtime: Off (Faux)
  • E_STRICT: 2048
  • E_DEPRECATED: 8192
  • memory_limit: 512M
  • max_execution_time: 300
  • output_buffering: On
  • safe_mode: Off (Faux)
  • file_uploads: On (Vrai)
  • post_max_size: 130M
  • upload_max_filesize: 128M
  • session_save_path: /tmp (0700)
  • session_use_cookies: On (Vrai)
  • xml_function: On (Vrai)
Server Information:
  • Server Api: cgi-fcgi
  • Server Db Type: MySQL (mysql)
  • Server Db Version: 5.5.30
----------------------------------------------
Répondre
#2
déjà commencer par essayer d'afficher les erreurs PHP

et regarder les posts de Comment faire la Mise à jour version 1.x

et pour la V2.x  Hébergements compatibles V2x V2.2x
J-C Etiemble Tutoriels v 2.2.x
Répondre
#2
déjà commencer par essayer d'afficher les erreurs PHP

et regarder les posts de Comment faire la Mise à jour version 1.x

et pour la V2.x  Hébergements compatibles V2x V2.2x
J-C Etiemble Tutoriels v 2.2.x
Répondre
#3
Merci, je vais étudier tout cela Smile
Répondre
#3
Merci, je vais étudier tout cela Smile
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)